Debian Bug report logs - #566973
debian-edu-config: fetch-ldap-cert init.d script should start later during boot

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Tue, 26 Jan 2010 08:42:01 UTC

Severity: normal

Found in version debian-edu-config/1.432

Fixed in version debian-edu-config/1.437

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#566973; Package debian-edu-config. (Tue, 26 Jan 2010 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Tue, 26 Jan 2010 08:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: debian-edu-config: fetch-ldap-cert init.d script should start later during boot
Date: Tue, 26 Jan 2010 09:40:37 +0100
Package:  debian-edu-config
Version:  1.432
User:     debian-edu@lists.debian.org
UserTags: debian-edu

I noticed this when testing the Squeeze based Debian Edu.  The
fetch-ldap-cert script do not start after slapd, and would thus fail
if it need to connect to the LDAP server on the local machine to fetch
the LDAP certificate.

This patch solve the problem.  The script need a working LDAP server,
not a working web server.

Index: debian/debian-edu-config.fetch-ldap-cert
===================================================================
--- debian/debian-edu-config.fetch-ldap-cert    (revision 62090)
+++ debian/debian-edu-config.fetch-ldap-cert    (working copy)
@@ -3,8 +3,7 @@
 # Provides:          fetch-ldap-cert
 # Required-Start:    $local_fs $remote_fs
 # Required-Stop:     $local_fs $remote_fs
-# Should-Start:      $network $syslog apache apache2
-# Should-Stop:       $network $syslog apache apache2
+# Should-Start:      $network $syslog slapd
 # Default-Start:     2 3 4 5
 # Default-Stop:
 # Short-Description: Fetch LDAP SSL public key from the server

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 21:36:06 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 21:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 566973-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 566973-close@bugs.debian.org
Subject: Bug#566973: fixed in debian-edu-config 1.437
Date: Wed, 03 Mar 2010 21:34:26 +0000
Source: debian-edu-config
Source-Version: 1.437

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config_1.437.dsc
  to main/d/debian-edu-config/debian-edu-config_1.437.dsc
debian-edu-config_1.437.tar.gz
  to main/d/debian-edu-config/debian-edu-config_1.437.tar.gz
debian-edu-config_1.437_all.deb
  to main/d/debian-edu-config/debian-edu-config_1.437_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566973@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Mar 2010 21:26:59 +0100
Source: debian-edu-config
Binary: debian-edu-config
Architecture: source all
Version: 1.437
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
Closes: 566973
Changes: 
 debian-edu-config (1.437) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Adjust debian-edu-ltsp-audiodivert to generate wrappers that also
     work if the user have the $wrapper environment set, and document
     in a comment the source packages for padsp and esddsp.
   * Correct start dependencies for init.d/fetch-ldap-cert, making sure it
     starts after slapd (Closes: #566973).
   * Make sure fsautoresize cron job look for both short and long host
     name in the fsautoresize-hosts netgroup, to make it compatible with
     the host netgroups generated by lwat.
   * Configure powerdns to use localhost as its LDAP server, to remove the
     need to change this when changing subnet for the installation.
   * Include time zone selection in PXE installation preseeding file,
     to avoid problems when an unusual language/keyboard/region
     combination is used (Solves Skolelinux bug #1436).  Do not change
     existing installations, as it can overwrite local changes done
     after installation.
   * Only enable our pam.d files on lenny.  For Squeeze, we will use
     pam-auth-update.
   * Remove usplash on machines with video card ATI ES1000 as found on
     HP Proliant DL385 G6 (partly solves Skolelinux bug #1427).
   * Configure the bind addresses for powerdns during first boot, to
     make sure all interfaces are listed in local-address, causing the
     source IP address on DNS replies to be correct independent of the
     interface used.  (Solves Skolelinux bug #1441).  Do not change
     existing installations, as it can overwrite local changes done
     after installation.
   * Add new test verifying the netgroup setting in /etc/nsswitch.conf.
   * Correct non-verbose code path for init.d/update-hostname to not
     report bogus failure.
   * Add test for LDAP server verifying that the downloaded server
     certificate matches the slapd server certificate, to detect
     incorrectly downloaded certificates.
 .
   [ Ronny Aasen ]
   * Add ForceType to apache config, to enforce .html.es pages to
     html. (Solves Skolelinux bug #1413)
Checksums-Sha1: 
 2c36548fb92fa142baccf8ba05262e2edacd2a70 1324 debian-edu-config_1.437.dsc
 b811f343cc2cf7bedccfb632c66c2906dccccdc8 308620 debian-edu-config_1.437.tar.gz
 4d92ac8dd18dc217293b0c3b0db81e2f71ed8f76 281456 debian-edu-config_1.437_all.deb
Checksums-Sha256: 
 31d735b6de237fa1d26257fbd044dfbd645865c1365af5b8689fddfc8d06e499 1324 debian-edu-config_1.437.dsc
 b48d2aa0b6a0e965b2ce63c8f084876ac221803bf8b282701d792d0dc60f1f54 308620 debian-edu-config_1.437.tar.gz
 6608ea8c4e7ab87f85309bbe14c466fed1e58579380d91378fb060f8a2ff50a3 281456 debian-edu-config_1.437_all.deb
Files: 
 6e8699616a03ecf654533bab64a2d947 1324 misc extra debian-edu-config_1.437.dsc
 16fc2219620987723ff24111200d08e3 308620 misc extra debian-edu-config_1.437.tar.gz
 303192e63cdfd0dfb58802b1adae4830 281456 misc extra debian-edu-config_1.437_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLjsZo20zMSyow1ykRAoiiAJwKbJQLjGVsi1CGlf0ReGSfLEKMJQCdFFj1
MNmJMU14HCXuGNZjuywakGY=
=BP/T
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:37:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:33:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.